#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    long long a, b, k;
    cin>>a>>b>>k;
    long long brch=0, brnch=0, br=0;

    if(a%2==b%2){
        br=(b-a)/2;
        for(int i=a+1; i<b; i++){
            if(i%k==0){
                if(i%2==a%2){
                    br++;
                }
            }
        }
    }
    cout<<br<<"\n";

    return 0;
}

